<?php if (!defined ('TYPO3_MODE')) 	die ('Access denied.'); ?>

<h3>lib/div Form Base Elements</h3>
<p>Done with <strong>tx_lib_formBase</strong> using elment generating functions.</p>

<h4>Examples</h4>
<dl>
<dt>Label</dt> <dd><?php print htmlspecialchars(
	'$out .= $form->label( \'keyX\', NULL, \'Label text\');'); ?></dd>
<dt>Multiselect</dt> <dd><?php print htmlspecialchars(
	'$out .= $form->multiselect( \'keyX\', NULL, array(1 => \'Option 1\', 2 => \'Option 2\'));'); ?></dd>
<dt>Textarea</dt> <dd><?php print htmlspecialchars(
	'$out .= $form->textarea(\'keyY\', array(\'cols\' => 50, \'rows\' => 5));'); ?></dd>
</dl>

<?php print $this->form->begin('cherriesInputFunctions'); ?>
<?php print $this->form->hidden('hidden'); ?>

<?php print $this->form->fieldsetBegin('fieldsetCheckbox', NULL, 'Checkbox'); ?>
<dl>
<dt><?php print $this->form->label('checkbox', NULL, 'Checkbox'); ?></dt>
<dd><?php print $this->form->checkbox('checkbox', array('value' =>'Checkbox')); ?></dd>
</dl>
<?php print $this->form->fieldsetEnd(); ?>

<?php print $this->form->fieldsetBegin('fieldsetSingleSelections', NULL, 'Single selections'); ?>
<dl>
<dt><?php print $this->form->label('select', NULL, 'Select'); ?></dt>
<dd><?php print $this->form->select( 'select', NULL, array(1 => 'Option 1', 2 => 'Option 2')); ?></dd>
</dl>

<?php print $this->form->fieldsetBegin('fieldsetRadioGroup', NULL, 'Radio group'); ?>
<dl>
<dt><?php print $this->form->label('radio1', NULL, 'Radio 1'); ?></dt>
<dd><?php print $this->form->radio('radio1', array('name' => 'radio', 'value' => 'value1')); ?></dd>
<dt><?php print $this->form->label('radio2', NULL, 'Radio 2'); ?></dt>
<dd><?php print $this->form->radio('radio2', array('name' => 'radio', 'value' => 'value2' )); ?></dd>
</dl>
<?php print $this->form->fieldsetEnd(); ?>
<?php print $this->form->fieldsetEnd(); ?>

<?php print $this->form->fieldsetBegin('fieldsetMultipleSelecteions', NULL, 'Multiple selections'); ?>
<dl>
<dt><?php print $this->form->label('multiselect', NULL, 'Multiselect'); ?></dt>
<dd><?php print $this->form->multiselect( 'multiselect', NULL, array(1 => 'Option 1', 2 => 'Option 2')); ?></dd>
</dl>
<?php print $this->form->fieldsetBegin('fieldsetGroupedCheckboxes', NULL, 'Grouped Checkboxes'); ?>
<dl>
<dt><?php print $this->form->label('checkbox1', NULL, 'Checkbox 1'); ?></dt>
<dd><?php print $this->form->checkbox('checkbox1', array('value' =>'value1')); ?></dd>
<dt><?php print $this->form->label('checkbox2', NULL, 'Checkbox 2'); ?></dt>
<dd><?php print $this->form->checkbox('checkbox2', array('value' =>'value2')); ?></dd>
</dl>
<?php print $this->form->fieldsetEnd(); ?>
<?php print $this->form->fieldsetEnd(); ?>

<?php print $this->form->fieldsetBegin('fieldsetText', NULL, 'Text'); ?>
<dl>
<dt><?php print $this->form->label('textarea', NULL, 'Textarea'); ?></dt>
<dd><?php print $this->form->textarea('textarea', array('cols' => 50, 'rows' => 5)); ?></dd>
<dt><?php print $this->form->label('input', NULL, 'Input'); ?></dt>
<dd><?php print $this->form->input('input', NULL); ?></dd>
<dt><?php print $this->form->label('password', NULL, 'Password'); ?></dt>
<dd><?php print $this->form->password('password', NULL); ?></dd>
</dl>
<?php print $this->form->fieldsetEnd(); ?>

<?php print $this->form->fieldsetBegin('fieldsetControls', NULL, 'Controls'); ?>
<dl>
<dt><?php print $this->form->label('submit', NULL, 'Submit'); ?></dt>
<dd><?php print $this->form->submit('submit', array('value' => 'Send it')); ?></dd>
<dt><?php print $this->form->label('reset', NULL, 'Reset'); ?></dt>
<dd><?php print $this->form->reset('reset', array('value' => 'Reset it')); ?></dd>
</dl>
<?php print $this->form->fieldsetEnd(); ?>

<?php print $this->form->end(); ?>
