<?php if(!defined ('TYPO3_MODE')) 	die ('Access denied.'); ?>

<h3>lib/div PHP Form Engine Elements</h3>
<p>Done with <strong>tx_lib_phpFormEngine</strong> using elment generating and printing functions.</p>

<h4>Examples</h4>
<dl>
<dt>Label</dt> <dd><?php print htmlspecialchars(
	'$form->printLabel( \'keyX\', NULL, \'Label text\');'); ?></dd>
<dt>Multiselect</dt> <dd><?php print htmlspecialchars(
	'$form->printMultiselect( \'keyX\', NULL, array(1 => \'Option 1\', 2 => \'Option 2\'));'); ?></dd>
<dt>Textarea</dt> <dd><?php print htmlspecialchars(
	'$form->printTextarea(\'keyY\', array(\'cols\' => 50, \'rows\' => 5));'); ?></dd>
</dl>

<?php $form = $this->form; ?>

<?php $form->printBegin('cherriesInputFunctions'); ?>
<?php $form->printHidden('hidden', array('value' => 'aHiddenValue')); ?>

<?php $form->printFieldsetBegin('fieldsetCheckbox', array(), 'Checkbox'); ?>
<dl>
<dt><?php $form->printLabel('checkbox', array(), 'Checkbox'); ?></dt>
<dd><?php $form->printCheckbox('checkbox', array('value' =>'Checkbox')); ?></dd>
</dl>
<?php $form->printFieldsetEnd(); ?>

<?php $form->printFieldsetBegin('fieldsetSingleSelections', array(), 'Single selections'); ?>
<dl>
<dt><?php $form->printLabel('select', array(), 'Select'); ?></dt>
<dd><?php $form->printSelect( 'select', array(), array(1 => 'Option 1', 2 => 'Option 2')); ?></dd>
</dl>

<?php $form->printFieldsetBegin('fieldsetRadioGroup', array(), 'Radio group'); ?>
<dl>
<dt><?php $form->printLabel('radio1', array(), 'Radio 1'); ?></dt>
<dd><?php $form->printRadio('radio1', array('name' => 'radio', 'value' => 'value1')); ?></dd>
<dt><?php $form->printLabel('radio2', array(), 'Radio 2'); ?></dt>
<dd><?php $form->printRadio('radio2', array('name' => 'radio', 'value' => 'value2' )); ?></dd>
</dl>
<?php $form->printFieldsetEnd(); ?>
<?php $form->printFieldsetEnd(); ?>

<?php $form->printFieldsetBegin('fieldsetMultipleSelecteions', array(), 'Multiple selections'); ?>
<dl>
<dt><?php $form->printLabel('multiselect', array(), 'Multiselect'); ?></dt>
<dd><?php $form->printMultiselect( 'multiselect', array(), array(1 => 'Option 1', 2 => 'Option 2')); ?></dd>
</dl>
<?php $form->printFieldsetBegin('fieldsetGroupedCheckboxes', array(), 'Grouped Checkboxes'); ?>
<dl>
<dt><?php $form->printLabel('checkbox1', array(), 'Checkbox 1'); ?></dt>
<dd><?php $form->printCheckbox('checkbox1', array('value' =>'Checkbox1')); ?></dd>
<dt><?php $form->printLabel('checkbox2', array(), 'Checkbox 2'); ?></dt>
<dd><?php $form->printCheckbox('checkbox2', array('value' =>'Checkbox1')); ?></dd>
</dl>
<?php $form->printFieldsetEnd(); ?>
<?php $form->printFieldsetEnd(); ?>

<?php $form->printFieldsetBegin('fieldsetText', array(), 'Text'); ?>
<dl>
<dt><?php $form->printLabel('textarea', array(), 'Textarea'); ?></dt>
<dd><?php $form->printTextarea('textarea', array('cols' => 50, 'rows' => 5)); ?></dd>
<dt><?php $form->printLabel('input', array(), 'Input'); ?></dt>
<dd><?php $form->printInput('input', array()); ?></dd>
<dt><?php $form->printLabel('password', array(), 'Password'); ?></dt>
<dd><?php $form->printPassword('password', array()); ?></dd>
</dl>
<?php $form->printFieldsetEnd(); ?>

<?php $form->printFieldsetBegin('fieldsetControls', array(), 'Controls'); ?>
<dl>
<dt><?php $form->printLabel('submit', array(), 'Submit'); ?></dt>
<dd><?php $form->printSubmit('submit', array('value' => 'Send it')); ?></dd>
</dl>
<dl>
<dt><?php $form->printLabel('reset', array(), 'Reset'); ?></dt>
<dd><?php $form->printReset('reset', array('value' => 'Reset it')); ?></dd>
</dl>
<?php $form->printFieldsetEnd(); ?>

<?php $form->printEnd(); ?>
