<?php if (!defined ('TYPO3_MODE')) 	die ('Access denied.'); ?>


<h3>lib/div PHP Form Engine Rows</h3>
<p>Done with <strong>tx_lib_phpFormEngine</strong> using complete rows generationg and printing functions.</p>
<p>The functions also control opening and closing of DL lists.</p>

<h4>Examples</h4>
<dl>
<dt>Multiselect</dt> 
<dd><?php print htmlspecialchars(
	'$form->printMultiselectRow( \'keyX\', \'Label for multiselect\', NULL, array(1 => \'Option 1\', 2 => \'Option 2\'));'); ?></dd>

<dt>Textarea</dt> 
<dd><?php print htmlspecialchars(
	'$form->printTextareaRow(\'keyY\', \'Label for textarea\', array(\'cols\' => 50, \'rows\' => 5));'); ?></dd>
</dl>

<?php

$form = $this->form; 
$form->setRowPattern('%1$s%4$s<dt>%2$s</dt>%4$s<dd>%3$s</dd>%4$s'); 
$form->requireListControl('<dl>', '</dl>'); 

$form->printBegin('cherriesInputFunctions'); 

$form->printHidden('hidden', array('value' => 'aHiddenValue')); 

$form->printFieldsetBegin('fieldsetCheckbox', NULL, 'Checkbox'); 
$form->printCheckboxRow('checkbox', 'Checkbox', array('value' =>'Checkbox')); 
$form->printFieldsetEnd(); 

$form->printFieldsetBegin('fieldsetSingleSelections', NULL, 'Single selections'); 
$form->printSelectRow('select', 'Select', NULL, array(1 => 'Option 1', 2 => 'Option 2')); 
$form->printFieldsetBegin('fieldsetRadioGroup', NULL, 'Radio group'); 
$form->printRadioRow('radio1', 'Radio 1', array('name' => 'radio', 'value' => 'value1')); 
$form->printRadioRow('radio2', 'Radio 2', array('name' => 'radio', 'value' => 'value2')); 
$form->printFieldsetEnd(); 
$form->printFieldsetEnd(); 

$form->printFieldsetBegin('fieldsetMultipleSelecteions', NULL, 'Multiple selections'); 
$form->printMultiselectRow( 'multiselect', 'Multiselect', NULL, array(1 => 'Option 1', 2 => 'Option 2')); 
$form->printFieldsetBegin('fieldsetGroupedCheckboxes', NULL, 'Grouped Checkboxes'); 
$form->printCheckboxRow('checkbox1', 'Checkbox 1', array('value' =>'Checkbox1')); 
$form->printCheckboxRow('checkbox2', 'Checkbox 2', array('value' =>'Checkbox2')); 
$form->printFieldsetEnd(); 
$form->printFieldsetEnd(); 

$form->printFieldsetBegin('fieldsetText', NULL, 'Text'); 
$form->printTextareaRow('textarea', 'Textarea', array('cols' => 50, 'rows' => 5)); 
$form->printInputRow('input', 'Input'); 
$form->printPasswordRow('password', 'password'); 
$form->printFieldsetEnd(); 

$form->printFieldsetBegin('fieldsetControls', NULL, 'Controls'); 
$form->printSubmitRow('submit', 'Submit', array('value' => 'Send it')); 
$form->printResetRow('reset', 'Reset', array('value' => 'Reset it')); 
$form->printFieldsetEnd(); 

$form->printend(); 

?>
